Bug 476352 - internal error from PackageKit
internal error from PackageKit
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 07:52 EST by Juergen Gier
Modified: 2009-01-14 08:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 08:34:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juergen Gier 2008-12-13 07:52:31 EST
Description of problem:

When I run "Update System" from the admin menu (or gpk-update-viewer from the cmdline), I get this:

Error Type: <type 'exceptions.TypeError'>
Error Value: 'NoneType' object is unsubscriptable
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2280, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2277, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 600, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 526, in dispatch_command
    self.refresh_cache()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1130, in refresh_cache
    self.yumbase.repos.populateSack(which=[repo.id], mdtype='metadata', cacheonly=1)
  File : /usr/lib/python2.5/site-packages/yum/repos.py, line 223, in populateSack
    self.doSetup()
  File : /usr/lib/python2.5/site-packages/yum/repos.py, line 71, in doSetup
    self.ayum.plugins.run('postreposetup')
  File : /usr/lib/python2.5/site-packages/yum/plugins.py, line 178, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File : /usr/lib/yum-plugins/rpm-warm-cache.py, line 31, in postreposetup_hook
    if commands[0] in ('upgrade', 'install', 'remove'):

"sudo yum update" from the command line works fine.

While the demon is running an error message pops up from time to time in which pressing the "details" button also gives the above backtrace (albeit in a *much* too tiny, non-resizeable box).


Version-Release number of selected component (if applicable):

PackageKit-udev-helper-0.3.12-1.fc10.x86_64
PackageKit-glib-0.3.12-1.fc10.x86_64
PackageKit-0.3.12-1.fc10.x86_64
PackageKit-yum-0.3.12-1.fc10.x86_64
PackageKit-yum-plugin-0.3.12-1.fc10.x86_64
PackageKit-gstreamer-plugin-0.3.12-1.fc10.x86_64
gnome-packagekit-0.3.12-1.fc10.x86_64
gnome-packagekit-extra-0.3.12-1.fc10.x86_64
yum-updatesd-0.9-1.fc9.noarch
yum-3.2.20-5.fc10.noarch

How reproducible:
always

Steps to Reproduce:
1.run gpk-update-viewer
2.
3.
  
Actual results:
see above

Expected results:
system update

Additional info:
Comment 1 Richard Hughes 2008-12-15 04:02:15 EST
Can you remove yum-rpm-warm-cache and retry please.
Comment 2 Juergen Gier 2008-12-15 10:43:08 EST
That did the trick, thanks!

Note You need to log in before you can comment on or make changes to this bug.